package gps_tool

import (
	"log"
	"testing"
)

func TestAnNaQiGpsClient_GetGpsInfo(t *testing.T) {
	type fields struct {
		AppCode string
		Host    string
	}
	type args struct {
		longitude float64
		latitude  float64
	}
	tests := []struct {
		name    string
		fields  fields
		args    args
		wantRes interface{}
		wantErr bool
	}{
		{
			name: "test1",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 113.419152,
				latitude:  23.186899,
			},
		},

		{
			name: "test2",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 110.165223,
				latitude:  25.258515,
			},
		},
		{
			name: "test2",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 115.928973,
				latitude:  28.625388,
			},
		},
		// 107.397284,40.739490
		{
			name: "test3",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 107.397284,
				latitude:  40.739490,
			},
		},
		// 115.929015,28.625383
		{
			name: "test4",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 115.929015,
				latitude:  28.625383,
			},
		},
		// 115.929100,28.625452
		{
			name: "test5",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 115.929100,
				latitude:  28.625452,
			},
		},
		// 126.587051,45.739880
		{
			name: "test6",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 126.587051,
				latitude:  45.739880,
			},
		},
		// 126.587051,45.739880
		{
			name: "test7",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 126.595051,
				latitude:  45.740537,
			},
		},
		// 126.595051,45.740537
		{
			name: "test8",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 125.342693,
				latitude:  43.879634,
			},
		},
		// 125.342693,43.879634
		{
			name: "test9",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 112.485550,
				latitude:  23.061314,
			},
		},
		// 112.485550,23.061314
		{
			name: "test10",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 115.928821,
				latitude:  28.625069,
			},
		},
		// 115.928821,28.625069
		{
			name: "test11",
			fields: fields{
				AppCode: "",
				Host:    "https://jmgeocode.market.alicloudapi.com",
			},
			args: args{
				longitude: 115.928821,
				latitude:  28.625069,
			},
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			n := &AnNaQiGpsClient{
				AppCode: tt.fields.AppCode,
				Host:    tt.fields.Host,
			}
			gotRes, err := n.GetGpsInfo(tt.args.longitude, tt.args.latitude)
			log.Println(gotRes, err)
		})
	}
}
