package sms_tool

import (
	"context"
	"time"
)

type ICacheAdapter interface {
	Get(ctx context.Context, key string) (value interface{}, err error)
	Set(ctx context.Context, key string, value interface{}, expire time.Duration) (err error)
	Del(ctx context.Context, key string) (err error)
}
